## EXPORT_SPEC DOMString ixmlNodetoString

## (IXML_Node* doc )

> Renders a Node and all sub-elements into an XML text representation.

## Documentation

> Renders a Node and all sub-elements into an XML text representation. The caller is required to free the DOMString returned from this function using ixmlFreeDOMString when it is no longer required.

> Note that this function can be used for any Node-derived interface. The difference between ixmlNodetoString and ixmlDocumenttoString is ixmlNodetoString does not include the XML prolog, it only produces XML elements.

Parameters:
  doc - The root of the Node tree to render to XML text.
Returns:
  [DOMString] A DOMString with the XML text representation of the DOM tree or `NULL` on an error.

Alphabetic index

This page was generated with the help of DOC++.